/api/v1/ops/tokens (POST)
POST
/api/v1/ops/tokens
const url = 'https://nbaproplab.com/api/v1/ops/tokens';const options = { method: 'POST', headers: { 'Idempotency-Key': 'score-day-2026-05-27-001', Authorization: 'Bearer <token>', 'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json' }, body: '{"name":"example","scopes":["example"],"expiresAt":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://nbaproplab.com/api/v1/ops/tokens \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'Idempotency-Key: score-day-2026-05-27-001' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "name": "example", "scopes": [ "example" ], "expiresAt": "2026-04-15T12:00:00Z" }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ” Idempotency-Key
string
Unique key for safe retry. Duplicate requests return the original operation.
Example
score-day-2026-05-27-001Request Body required
Section titled “Request Body required ”object
name
required
string
scopes
required
Array<string>
expiresAt
null | string format: date-time
Example generated
{ "name": "example", "scopes": [ "example" ], "expiresAt": "2026-04-15T12:00:00Z"}object
name
required
string
scopes
required
Array<string>
expiresAt
null | string format: date-time
Example generated
{ "name": "example", "scopes": [ "example" ], "expiresAt": "2026-04-15T12:00:00Z"}object
name
required
string
scopes
required
Array<string>
expiresAt
null | string format: date-time
Example generated
{ "name": "example", "scopes": [ "example" ], "expiresAt": "2026-04-15T12:00:00Z"}Responses
Section titled “ Responses ”OK
Authentication required.
Media type application/problem+json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Insufficient permissions or tier.
Media type application/problem+json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}